/*-------------------------------------------------------------------------------------------------------------------*/
/**
 *    \file       Joystick.h
 *    \author     Baciu Vlad-Eusebiu
 *    \brief      ports only the software component runnables (global functions), usually only one initialization
 *                and one cyclic runnable.
 */
/*-------------------------------------------------------------------------------------------------------------------*/

#ifndef JOYSTICK_H
#define JOYSTICK_H

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                                     Inclusions                                                    */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                            Definition Of Global Macros                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                          Definition Of Global Data Types                                          */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Variables                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Constants                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Functions                                            */
/*-------------------------------------------------------------------------------------------------------------------*/
extern void Joystick_Init(void);
extern void Joystick_Main(void);
/*-------------------------------------------------------------------------------------------------------------------*/
#endif /* JOYSTICK_H */
